%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Reply
Version:       0.42
Release:       1mamba
Summary:       Reply - read, eval, print, loop, yay!
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/D/DO/DOY/Reply-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-App-Nopaste
BuildRequires: perl-B-Keywords
BuildRequires: perl-Class-Refresh
BuildRequires: perl-Config-INI-Reader-Ordered
BuildRequires: perl-Data-Dump
BuildRequires: perl-Data-Printer
BuildRequires: perl-Eval-Closure
BuildRequires: perl-File-HomeDir
BuildRequires: perl-Module-Runtime
BuildRequires: perl-Package-Stash
BuildRequires: perl-PadWalker
BuildRequires: perl-Proc-InvokeEditor
BuildRequires: perl-Try-Tiny
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Reply - read, eval, print, loop, yay!

%prep
%setup -q -n Reply-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE
## note: eventually add the remaining documents (if any)
# %doc README

%changelog
* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 0.42-1mamba
- automatic update by autodist

* Thu Jan 07 2016 Automatic Build System <autodist@mambasoft.it> 0.38-1mamba
- automatic update by autodist

* Thu Dec 04 2014 Automatic Build System <autodist@mambasoft.it> 0.37-1mamba
- automatic update by autodist

* Mon Nov 03 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.35-1mamba
- package created using the webbuild interface
